---
sidebar_position: 9
description: Send contact and other functions to work with Telegram in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Telegram]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Send contact
 Sends a contact with name and phone number



`Function SendContact(Val Token, Val ChatID, Val Name, Val LastName, Val Phone, Val Keyboard = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | ChatID | --chat | String, Number | &#x2714; | Target chat ID or ChatID*TopicID |
  | Name | --name | String | &#x2714; | Contact name |
  | LastName | --surname | String | &#x2714; | Contact last name |
  | Phone | --phone | String | &#x2714; | Contact phone number |
  | Keyboard | --keyboard | String, Structure Of KeyAndValue | &#x2716; | Keyboard. See FormKeyboardFromButtonArray |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Telegram

:::tip
Method at API documentation: [sendContact](https://core.telegram.org/bots/api#sendcontact)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token     = "6129457865:AAFyzNYOAFbu...";
    ChatID    = "461699897";
    ChannelID = "@testsichee";
    Name      = "Петр";
    LastName  = "Петров";
    Phone     = "88005553535";

    Result = OPI_Telegram.SendContact(Token, ChatID, Name, LastName, Phone);

    Result = OPI_Telegram.SendContact(Token, ChannelID, Name, LastName, Phone);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint telegram SendContact \
             --token "***" \
             --chat "***" \
             --name "Петр" \
             --surname "Петров" \
             --phone "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint telegram SendContact ^
             --token "***" ^
             --chat "***" ^
             --name "Петр" ^
             --surname "Петров" ^
             --phone "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ok": true,
 "result": {
  "message_id": 18414,
  "from": {
   "id": 6129457865,
   "is_bot": true,
   "first_name": "Бот Виталий",
   "username": "sicheebot"
  },
  "chat": {
   "id": 461699897,
   "first_name": "Anton",
   "last_name": "Titovets",
   "username": "bayselonarrend",
   "type": "private"
  },
  "date": 1765390519,
  "contact": {
   "phone_number": "***",
   "first_name": "Петр",
   "last_name": "Петров"
  }
 }
}
```
